> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Namespaces

> List all namespaces the user has access to, optionally filtered by org.



## OpenAPI

````yaml openapi.json GET /namespaces
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /namespaces:
    get:
      tags:
        - Namespaces
      summary: List Namespaces
      description: List all namespaces the user has access to, optionally filtered by org.
      operationId: namespaces_list
      parameters:
        - description: Filter by owner organization ID
          in: query
          name: org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by owner organization ID
            title: Org Id
        - description: Maximum number of results
          in: query
          name: limit
          required: false
          schema:
            default: 50
            description: Maximum number of results
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - description: Page number
          in: query
          name: page_number
          required: false
          schema:
            default: 1
            description: Page number
            minimum: 1
            title: Page Number
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Namespace'
                title: Response Namespaces List
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Namespace:
      description: Response model for namespace.
      properties:
        artifact_registry:
          anyOf:
            - type: string
            - type: 'null'
          description: Artifact Registry repository name.
          title: Artifact Registry
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: When the namespace was created.
          title: Created At
        created_by:
          description: member_id of the creator.
          title: Created By
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          description: Error message if provisioning failed.
          title: Error
        error_step:
          anyOf:
            - type: string
            - type: 'null'
          description: Which provisioning step failed (e.g., 'create_gcs_bucket').
          title: Error Step
        gcp_sa_email:
          anyOf:
            - type: string
            - type: 'null'
          description: GCP service account email.
          title: Gcp Sa Email
        gcs_bucket:
          anyOf:
            - type: string
            - type: 'null'
          description: GCS bucket name.
          title: Gcs Bucket
        id:
          description: The unique identifier of the namespace.
          title: Id
          type: string
        k8s_namespace:
          anyOf:
            - type: string
            - type: 'null'
          description: K8s namespace name.
          title: K8S Namespace
        name:
          description: Human-readable name for the namespace.
          title: Name
          type: string
        owner_org_id:
          description: WorkOS organization ID that owns this namespace.
          title: Owner Org Id
          type: string
        registry_sa_email:
          anyOf:
            - type: string
            - type: 'null'
          description: Registry service account email for token generation.
          title: Registry Sa Email
        slug:
          description: URL-friendly unique identifier.
          title: Slug
          type: string
        status:
          $ref: '#/components/schemas/NamespaceStatus'
          default: READY
          description: 'Namespace status: pending, ready, or failed.'
      required:
        - id
        - slug
        - name
        - owner_org_id
        - created_by
      title: Namespace
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NamespaceStatus:
      description: Status of namespace infrastructure provisioning.
      enum:
        - PENDING
        - READY
        - FAILED
      title: NamespaceStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````